function mat = array2mat(array, arraySize, typeName)
  if ~exists('array') then
    error('array2mat(): array argument not defined');
  end
  if ~exists('typeName') then
    error('array2mat(): typeName argument not defined');
  end
  if ~exists('arraySize') then
    error('array2mat(): arraySize argument not defined');
  end

  arrayTypeName = getArrayTypeName(typeName);
  mat = [];
  for i=0:arraySize-1
    execstr(msprintf("mat($+1) = %s_getitem(array, i)", arrayTypeName));
  end

  if typeName == "char" then
    mat = strcat(mat);
  end
endfunction


