function arrayTypeName = getArrayTypeName(typeName)
  select typeName
    case "schar"
      arrayTypeName = "SCharArray";
    case "uchar"
      arrayTypeName = "UCharArray";
    case "short"
      arrayTypeName = "ShortArray";
    case "ushort"
      arrayTypeName = "UShortArray";
    case "uint"
      arrayTypeName = "IntArray";
    case "int"
      arrayTypeName = "UIntArray";
    case "long"
      arrayTypeName = "LongArray";
    case "float"
      arrayTypeName = "FloatArray";
    case "double"
      arrayTypeName = "DoubleArray";
    case "char"
      arrayTypeName = "CharArray";
    case "string"
      arrayTypeName = "PCharArray";
    else
      error(msprintf("getArrayTypeName(): %s type is unknown.", typeName));
    end
endfunction
