function array = mat2array(mat, typeName)
  if ~exists('mat') then
    error('mat2array(): array argument not defined');
  end
  if ~exists('typeName') then
    error('mat2array(): typeName argument not defined');
  end

  arrayTypeName = getArrayTypeName(typeName);

  if typeName == "char" then
    mat = strsplit(mat);
  end

  n = size(mat, '*');
  execstr(msprintf("array = new_%s(n);", arrayTypeName));

  for i = 0:n-1
    execstr(msprintf("%s_setitem(array, i, mat(i+1));", arrayTypeName));
  end
endfunction
